Subject: Re: [PATCH 5/23] [PATCH] [XFRM] STATE: Add source address list.

From: Masahide NAKAMURA <[email-masked]>
Date: Wed, 02 Aug 2006 10:42:51 +0900

David Miller wrote:
> This is a userspace exported structure, therefore you cannot
> make changes to it like this, it will break the userland API.

OK.

> If you need to provide the source address, you need to pass it in via
> a new xfrm netlink attribute or use an existing data structure member
> which records the source address (if any such thing does exist).

There is no xfrm netlink attribute to carry source address.
I'll add it like XFRMA_SRCADDR.

BTW another patch newly defined XFRMA_ADDR to carry care-of address.
This would be changed e.g. XFRMA_COADDR or something, too.

-- 
Masahide NAKAMURA